var AdmZip = require('adm-zip');
var cheerio = require('cheerio');

function epubToText(path) {

  let zip = new AdmZip(path);
  let zipEntries = zip.getEntries(); // an array of ZipEntry records

  let output = "";

  // look through all files in zip
  for(let entry of zipEntries) {

    // get file extension:
    let nameParts = entry.entryName.split(".");
    let lastPart = nameParts[nameParts.length-1];

    if(lastPart === "html" || lastPart === "htm") {

      // extract text with cheerio
      let $ = cheerio.load( zip.readAsText(entry.entryName) );
      output += $("body").text();

    }

  }

  return output;

}

module.exports = epubToText;
